QGIS 3.4.2 - QGIS hangs when connected to internet
2018-12-21 10:51 PM - Ben Van Riper

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.2 Regression?: No

Operating System: Ubuntu 18.04.1 LTS Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 28688
Description

Basically, what happens is when | try to launch QGIS 3.4.2 while connected to the Internet, it starts up, shows the "select a project" page,
then freezes. And sits there. For an extremely long time. System monitor suggests that ggis.bin is literally doing absolutely nothing while
frozen.

If | disconnect from the internet and launch it, it starts up normally and doesn't freeze as if nothing is wrong; however, the second that |
reconnect to the internet, it immediately freezes and once again just sits there doing absolutely nothing.

| can confirm that this issue still occurs without any plugins enabled. Console output also doesn't list any warnings or errors. If there are
error logs and other sources of diagnostics that | can check and include in this report, please let me know where to find them.

History

#1 - 2019-01-25 06:47 PM - Alessandro Pasotti
- Status changed from Open to Feedback

Hi, this is going to be very hard to reproduce: many people use QGIS daily on ubuntu 18.04 without any issue (I myself do that) and I'm connected to the

internet the whole time.

If it's a laptop can you try to connect to a different network?

Are you behind a proxy/firewall?

Are you sure that it's not a plugin issue?

Also please try with the current master version (there are nightly builds available for debian/ubuntu)

#2 - 2019-02-24 01:51 AM - Giovanni Manghi

- Resolution set to no timely feedback
- Status changed from Feedback to Closed
